@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap"); /*Roboto*/
/* --------------------------------------------------
Common
-------------------------------------------------- */
html {
  font-size: 14px;
  font-family: "Hiragino Mincho ProN", "Hiragino Mincho Pro", "游明朝", "Yu Mincho", "Noto Serif JP", "MS PMincho", "MS Mincho", serif;
  line-height: 1.8;
  color: #000;
}

body img, body svg {
  width: auto;
  height: 100%;
  vertical-align: bottom;
}

a {
  color: #000;
}
a:active, a:hover, a:visited {
  color: #000;
}

.pc {
  display: block;
}

.sp {
  display: none;
}

.container {
  font-size: 14px;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.fadein {
  opacity: 0;
  transform: translate(0, 10px);
  transition: all 1.1s ease;
}

.fadein.scrollin {
  opacity: 1;
  transform: translate(0, 0);
}

/* --------------------------------------------------
Content
-------------------------------------------------- */
.container {
  opacity: 0;
  animation: fadeIn 1s ease 0.15s forwards;
  font-size: 1.3rem;
}
.container.active {
  opacity: 1;
}

.header, .footer {
  position: fixed;
  left: 0;
  width: 100vw;
  height: 60px;
  padding: 0 40px;
  z-index: 100;
}
.header img, .footer img {
  width: 100%;
  height: auto;
}
.header a, .footer a {
  transition: all 0.3s ease;
}
.header a:hover, .footer a:hover {
  opacity: 0.5;
}

.header {
  top: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.header__logo {
  width: 100px;
  font-size: 0;
}
.header__nav {
  display: flex;
}
.header__nav li {
  margin-right: 40px;
  font-size: 16px;
}
.header__nav li:last-child {
  margin-right: 0;
}

.footer {
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.footer__left {
  width: 194px;
  height: 2px;
  border-radius: 2px;
  background-color: #cccccc;
  position: relative;
}
.footer__left .progress-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 2px;
  background: black;
  width: 0%;
  z-index: 10;
  border-radius: 2px;
}
.footer__right {
  display: flex;
  align-items: center;
}
.footer__right li {
  font-size: 16px;
}
.footer__right li.insta {
  width: 30px;
  margin-right: 40px;
}

.main {
  margin-top: 60px;
  height: calc(100vh - 120px);
  overflow-x: auto; /* 横スクロールを有効化 */
  overflow-y: hidden; /* 縦スクロール無効化 */
  white-space: nowrap; /* 横並びに */
  -ms-overflow-style: none; /* IE, Edge */
  scrollbar-width: none;
}
.main::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera */
}
.main .contents {
  position: relative;
  height: 100%;
  display: flex;
  align-items: center;
}
.main .contents__box {
  display: flex;
  align-items: center;
  height: 100%;
}
.main .contents__story {
  margin: 0 300px 0 200px;
}
.main .contents__story .img {
  height: calc(1000 / 2000 * 100vh);
  margin-right: 120px;
}
.main .contents__story .text {
  font-size: 16px;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  margin-left: 300px;
}
.main .contents__product {
  margin-right: 300px;
}
.main .contents__product .box {
  height: 100%;
}
.main .contents__product .productMain {
  margin-right: 160px;
}
.main .contents__product .productMain p {
  height: calc(600 / 2000 * 100vh);
  margin-top: 220px;
}
.main .contents__product .productMain.productMain--middle p {
  height: calc(800 / 2000 * 100vh);
  margin-top: 160px;
}

.main .contents__product .productColumn {
  margin-right: 160px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.main .contents__product .productColumn .productColumn--01 {
  height: calc(1000 / 2000 * 100vh);
}
.main .contents__product .productColumn .productColumn--02 {
  height: calc(1000 / 2000 * 100vh);
}
.productWrap {
  display: flex;
  gap: 8px;
}
.main .contents__product .productSmall .productWrap {
  display: flex;
  gap: 20px;
  flex-direction: column;
  align-items: center;
}

.main .contents__product .productLarge {
  margin-right: 40px;
}
.main .contents__product .productSmall {
  margin-right: 300px;
}
.main .contents__product .productLarge p {
  height: calc(1400 / 2000 * 100vh);
}
.main .contents__product .productSemiLarge p {
  height: calc(1250 / 2000 * 100vh);
}

.main .contents__product .productLarge.productLarge--custom {
  margin-right: 8px;
}
.main .contents__product .productLarge.productLarge--mr,
.main .contents__product .productSemiLarge.productSemiLarge--mr {
  margin-right: 100px;
}
.main .contents__product .productCredit.productCredit--mr {
  margin-right: 100px;
}
.main .contents__product .productMidium p {
  height: calc(1100 / 2000 * 100vh);
}
.main .contents__product .productMidium {
  margin-right: 160px;
}
.main .contents__product .productSmall p {
  height: calc(1000 / 2000 * 100vh);
}
.main .contents__staff {
  padding-right: 300px;
  height: 100%;
  letter-spacing: 0;
  line-height: 100%;
}
.main .contents__staff .title {
  text-align: center;
}
.main .contents__staff .text {
  font-size: 13px;
}
.main .contents__staff .text.copy {
  font-size: 9px;
  margin-top: 16px;
}
.main .contents__staff .text a {
  text-decoration: underline;
}
.main .contents__staff .text a:hover {
  text-decoration: none;
}
.main .contents__staff .textWrap {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.f-en--regular {
  font-family: "ff-scala-sans-pro", sans-serif;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 5%;
}
.f-ja--regular {
  font-family: "hiragino-kaku-gothic-pron", sans-serif;
  font-weight: 300;
  font-style: normal;
}
.main .contents__story .title {
  font-size: 20px;
}
main .contents__story .text p:nth-of-type(2) {
  margin: 40px auto auto 100px;
}
.main .contents__story .text p:nth-of-type(3) {
   margin: 40px auto auto 180px;
}
.product__title .name {
  font-size: 32px;
}
.product__title {
  font-size: 14px;
  display: flex;
  align-items: center;
  gap: 24px;
}
.product__text {
  font-size: 12px;
}
.product__head {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-around;
  padding-right: 50px;
}
.ClassNameLi {
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}
.ClassNamePrice {
  font-variant-numeric: lining-nums;
}
.productCredit {
  letter-spacing: 0;
  font-size: 12px;
  line-height: 100%;
}
.ClassNameFrame {
  display: flex;
  gap: 8px;
}
.ClassNameBuy {
  text-decoration: underline;
}
.ClassNameBuy:hover {
  opacity: 0.8;
  text-decoration: none;
}
.ClassNameBuy .item-d-none {
  display: none;
}

@media (max-width: 768px) {
  .pc {
    display: none;
  }
  .sp {
    display: block;
  }
  .container {
    font-size: 1.2rem;
  }
  .header, .footer {
    height: 50px;
    padding: 0 15px;
  }
  .header__logo {
    width: 70px;
  }
  .header__nav li {
    margin-right: 20px;
    font-size: 14px;
  }
  .footer__left {
    width: 124px;
  }
  .footer__right li {
    font-size: 14px;
  }
  .footer__right li.insta {
    width: 25px;
    margin-right: 15px;
  }
  .main {
    margin-top: 50px;
    height: calc(100dvh - 100px);
  }
  .main .contents__story {
    margin: 0 120px 0 50px;
  }
  .main .contents__story .img {
    height: calc(1000 / 2000 * 100vh);
    margin-right: 80px;
  }
  .main .contents__story .text {
    font-size: 12px;
    display: flex;
    align-items: flex-start;
    margin-left: 100px;
  }
  main .contents__story .text p:nth-of-type(2) {
  margin: 40px auto auto 80px;
  }
  .main .contents__story .text p:nth-of-type(3) {
    margin: 40px auto auto 160px;
  }
  .product__text {
    font-size: 11px;
  }
  .product__title .name {
    font-size: 24px;
  }
  .main .contents__product {
    margin-right: 160px;
  }
  .main .contents__product .box {
    height: 100%;
  }
  .main .contents__product .productMain {
    margin-right: 80px;
  }
  .main .contents__product .productColumn {
    height: 100%;
    display: flex;
    margin-right: 100px;
  }
  .main .contents__product .productColumn {
    justify-content: center;
  }
  .main .contents__product .productSmall p {
  height: calc(900 / 2000 * 100vh);
  }
  .main .contents__product .productColumn .productColumn--01,
  .main .contents__product .productColumn .productColumn--02 {
  height: calc(900 / 2000 * 100vh);
  }
  .main .contents__product .productColumn .product2-1 {
    height: calc(860 / 2000 * 100vh);
    margin: 70px 50px 0 0;
  }
  .main .contents__product .productColumn .product2-2 {
    height: calc(860 / 2000 * 100vh);
    margin: auto 0 70px 0;
  }
  .main .contents__product .productLarge {
    margin-right: 56px;
  }
  .main .contents__product .productLarge p {
    height: calc(1200 / 2000 * 100vh);
  }
  .main .contents__product .productLarge p:last-child {
    margin-bottom: 0;
  }
  .main .contents__product .productLarge.productLarge--custom {
    margin-bottom: 0;
  }
  .main .contents__product .productLarge.productLarge--mr {
    margin-bottom: 0;
  }
  .main .contents__product .productSmall {
    margin-right: 160px;
  }
  .main .contents__product .product5-1 {
    height: calc(1200 / 2000 * 100vh);
    margin: auto 80px 20px 0;
  }
  .main .contents__product .product5-2 p {
    height: calc(520 / 2000 * 100vh);
    margin-bottom: 40px;
  }
  .main .contents__look {
    margin-right: 80px;
  }
  .main .contents__look .lookContent {
    display: grid;
    grid-auto-flow: column;
    align-items: center;
    margin-right: 120px;
  }
  .main .contents__look .lookContent .img {
    height: calc(1420 / 2000 * 100vh);
    margin-right: 20px;
    display: flex;
    font-size: 0;
  }
  .main .contents__look .lookContent .img p:first-child {
    margin-right: 10px;
  }
  .main .contents__staff {
    padding-right: 110px;
    height: 100%;
  }
  .main .contents__staff .title {
    text-align: center;
  }
  .main .contents__staff .text {
    font-size: 12px;
  }
  .main .contents__product .productSemiLarge p {
    height: calc(1100 / 2000 * 100vh);
  }
  .main .contents__product .productMidium p {
    height: calc(1000 / 2000 * 100vh);
  }
  .main .contents__product .productMidium {
    margin-right: 80px;
  }
  .main .contents__product .productLarge.productLarge--mr, .main .contents__product .productSemiLarge.productSemiLarge--mr {
    margin-right: 56px;
  }
  .main .contents__product .productCredit.productCredit--mr {
   margin-right: 56px;
  }
}
/* --------------------------------------------------
loading
-------------------------------------------------- */
@keyframes bar-anime {
  0% {
    height: 40px;
    top: -40px;
  }
  75% {
    height: 40px;
    top: 50px;
  }
  100% {
    height: 40px;
    top: 50px;
  }
}
@keyframes bar-anime-sp {
  0% {
    height: 40px;
    top: -40px;
  }
  75% {
    height: 40px;
    top: 40px;
  }
  100% {
    height: 40px;
    top: 40px;
  }
}
#loader {
  width: 100%;
  height: 100vh;
  height: 100dvh;
  min-height: -webkit-fill-available;
  background-color: #c6a847;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  position: fixed;
  left: 0px;
  top: 0;
  z-index: 9999;
  transition: opacity 1s ease-in-out 0.3s;
}

#loader .logo {
  width: 300px;
  height: 100px;
  background-image: url("https://baycrews.jp/src/feature/20250901_ensemble/logo.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  text-align: left;
  text-indent: 999%;
  white-space: nowrap;
  display: block;
  overflow: hidden;
}

#loader .bar {
  width: 100%;
  height: 10px;
  background-color: rgba(0, 0, 0, 0.25);
  position: absolute;
  left: 0px;
  bottom: 0px;
  z-index: 5;
}

#loader .bar span {
  width: 0%;
  height: 100%;
  background-color: #2c6782;
  display: block;
}

#loader.complete {
  opacity: 0;
}

@media screen and (max-width: 768px) {
  #loader .logo {
    width: 180px;
    height: 66px;
  }
}/*# sourceMappingURL=common.css.map */


.fadeIn {
  opacity: 0;
  transition: 0.8s;
}

.fadeIn.is-active {
  opacity: 1;
}

.text .fadeIn:nth-child(2) {
  transition-delay: .4s;
}

.text .fadeIn:nth-child(3) {
  transition-delay: .8s;
}

.js-typewriter {
  display: inline-block;
  white-space: nowrap;
  visibility: hidden;
}

.js-typewriter.is-ready {
  visibility: visible;
}

.cursor {
  display: inline-block;
  width: 1px;
  background: #222;
  margin-left: 3px;
  animation: blink 0.8s infinite;
  vertical-align: baseline;
}

@keyframes blink {
  0%, 50%, 100% { opacity: 1; }
  25%, 75% { opacity: 0; }
}
